package com.ym.mec.biz.dal.dto;

import com.ym.mec.auth.api.entity.SysUser;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

public class DegreePayDto {
    private Integer userId;

    private Integer organId;

    @ApiModelProperty(value = "声部")
    private Integer subject;

    @ApiModelProperty(value = "器乐考级等级")
    private Integer musicGradeLevel;

    @ApiModelProperty(value = "报考器乐等级必须购Vip课")
    private Boolean needVipCourse = false;

    @ApiModelProperty(value = "乐理等级")
    private Integer theoryLevel;

    @ApiModelProperty(value = "vip 1v1")
    private boolean vip1v1 = false;

    @ApiModelProperty(value = "vip 1v2")
    private Boolean vip1v2 = false;

    @ApiModelProperty(value = "乐理课程")
    private Boolean theoryCourse = false;

    @ApiModelProperty(value = "支付金额", required = true)
    private BigDecimal amount;

    @ApiModelProperty(value = "是否使用余额", required = true)
    private Boolean useBalance = false;

    @ApiModelProperty(value = "重新支付", required = true)
    private Boolean rePay = false;

    private SysUser user;

    private Long orderId;

    private Integer reserveId;

    public Integer getSubject() {
        return subject;
    }

    public void setSubject(Integer subject) {
        this.subject = subject;
    }

    public Integer getMusicGradeLevel() {
        return musicGradeLevel;
    }

    public void setMusicGradeLevel(Integer musicGradeLevel) {
        this.musicGradeLevel = musicGradeLevel;
    }

    public Integer getTheoryLevel() {
        return theoryLevel;
    }

    public void setTheoryLevel(Integer theoryLevel) {
        this.theoryLevel = theoryLevel;
    }

    public boolean getVip1v1() {
        return vip1v1;
    }

    public void setVip1v1(boolean vip1v1) {
        this.vip1v1 = vip1v1;
    }

    public Boolean getVip1v2() {
        return vip1v2;
    }

    public void setVip1v2(Boolean vip1v2) {
        this.vip1v2 = vip1v2;
    }

    public Boolean getTheoryCourse() {
        return theoryCourse;
    }

    public void setTheoryCourse(Boolean theoryCourse) {
        this.theoryCourse = theoryCourse;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public Boolean getUseBalance() {
        return useBalance;
    }

    public void setUseBalance(Boolean useBalance) {
        this.useBalance = useBalance;
    }

    public Boolean getRePay() {
        return rePay;
    }

    public void setRePay(Boolean rePay) {
        this.rePay = rePay;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Integer getOrganId() {
        return organId;
    }

    public void setOrganId(Integer organId) {
        this.organId = organId;
    }

    public SysUser getUser() {
        return user;
    }

    public void setUser(SysUser user) {
        this.user = user;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public Integer getReserveId() {
        return reserveId;
    }

    public void setReserveId(Integer reserveId) {
        this.reserveId = reserveId;
    }

    public Boolean getNeedVipCourse() {
        return needVipCourse;
    }

    public void setNeedVipCourse(Boolean needVipCourse) {
        this.needVipCourse = needVipCourse;
    }
}
